NSX-T Data Center REST API

List third party IPAM Providers

Paginated list of third party IPAM Providers.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/third-party-ipam-providers
Request Headers:
n/a
Query Parameters:
PolicyListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/third-party-ipam-providers

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IpamThirdPartyProviderListResult+

Example Response:

{ "sort_ascending": true, "sort_by": "display_name", "result_count": 1, "results": [ { "resource_type": "INFOBLOX", "host_name": "gridmaster.example.com", "port": 443, "username": "infoblox_user", "password": "password", "network_view": "default", "dns_view": "default", "wapi_version": "2.12" } ] }

Required Permissions:

read

Feature:

third_party_ipam

Additional Errors: